"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("lower", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }");
  tr.ok("a { color: #000; }");
  tr.ok("a { something: #000, #fff, #ababab; }");
  tr.ok("a { color: #0000ffcc; }", "eight digits");
  tr.ok("a { color: #00fc; }", "four digits");

  tr.ok("a { padding: 000; }");
  tr.ok("a::before { content: \"#ABABA\"; }");
  tr.ok("a { color: white /* #FFF */; }");

  tr.notOk("a { color: #Ababa; }", _.messages.expected("lower", "#Ababa"));
  tr.notOk("a { something: #000F, #fff, #ababab; }", _.messages.expected("lower", "#000F"));
  tr.notOk("a { something: #000, #FFFFAZ, #ababab; }", _.messages.expected("lower", "#FFFFAZ"));
  tr.notOk("a { something: #000, #fff, #12345AA; }", _.messages.expected("lower", "#12345AA"));
});

testRule("upper", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink; }");
  tr.ok("a { color: #000; }");
  tr.ok("a { something: #000, #FFF, #ABABAB; }");
  tr.ok("a { color: #0000FFCC; }", "eight digits");
  tr.ok("a { color: #00FC; }", "four digits");

  tr.ok("a { padding: 000; }");
  tr.ok("a::before { content: \"#ababa\"; }");
  tr.ok("a { color: white /* #fff */; }");

  tr.notOk("a { color: #aBABA; }", _.messages.expected("upper", "#aBABA"));
  tr.notOk("a { something: #000f, #FFF, #ABABAB; }", _.messages.expected("upper", "#000f"));
  tr.notOk("a { something: #000, #ffffaz, #ABABAB; }", _.messages.expected("upper", "#ffffaz"));
  tr.notOk("a { something: #000, #FFF, #12345aa; }", _.messages.expected("upper", "#12345aa"));
});